Bug 216958 - CVE-2006-5823 zlib_inflate memory corruption
Summary: CVE-2006-5823 zlib_inflate memory corruption
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,source=internet,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-22 21:40 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0014
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-30 14:42:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0014 normal SHIPPED_LIVE Important: kernel security update 2007-01-30 14:25:00 UTC

Description Marcel Holtmann 2006-11-22 21:40:47 UTC
From MOKB-07-11-2006:

http://projects.info-pull.com/mokb/MOKB-07-11-2006.html

Linux 2.6.x zlib_inflate function can be abused by filesystems that depend on
zlib compression, such as cramfs. A failure to handle crafted data, result of a
read operation in a corrupted filesystem stream, may lead to memory corruption.
This particular vulnerability requires a filesystem (proof of concept for cramfs
provided) to fail validation (ex. no integrity checking) of the binary stream in
order to reach execution of zlib_inflate().

Comment 2 Jason Baron 2006-12-13 19:05:07 UTC
committed in stream U5 build 42.31. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 3 Jason Baron 2006-12-18 21:49:46 UTC
committed in stream E5 build 42.0.4

Comment 5 Mike Gahagan 2007-01-17 22:49:35 UTC
verified with 42.0.6 using fsfuzzer

Comment 7 Red Hat Bugzilla 2007-01-30 14:42:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0014.html



Note You need to log in before you can comment on or make changes to this bug.